PICOTOOL-OTP-LOAD(1)

NAME
picotool-otp-load - Load the row range stored in a file into OTP and verify. Data is 2 bytes/row for ECC, 4 bytes/row for raw (MSB is ignored).

SYNOPSIS
picotool otp load [-r] [-e] [-s <row>] [-i <filename>] <filename> [-t <type>] [device-selection]

OPTIONS
Row options

-r, --raw
    Set raw 24-bit values. This is the default for BIN files

-e, --ecc
    Use error correction

-s <row>
    Start row to load at (note use 0x for hex)

-i <filename>
    Include extra otp definition

File to load row(s) from

<filename>
    The file name

-t <type>
    Specify file type (json | bin) explicitly, ignoring file extension

Target device selection

--bus <bus>
    Filter devices by USB bus number

--address <addr>
    Filter devices by USB device address

--vid <vid>
    Filter by vendor id

--pid <pid>
    Filter by product id

--ser <ser>
    Filter by serial number

-f, --force
    Force a device not in BOOTSEL mode but running compatible code toreset so the command can be executed. After executing the command(unless the command itself is a `reboot') the device will berebooted back to application mode

-F, --force-no-reboot
    Force a device not in BOOTSEL mode but running compatible code toreset so the command can be executed. After executing the command(unless the command itself is a `reboot') the device will be leftconnected and accessible to picotool, but without the USB drivemounted